

arch/ppc64/kernel/signal32.c:448: conflicting types for `copy_siginfo_to_user32'
include/linux/compat.h:148: previous declaration of `copy_siginfo_to_user32'


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-power4-akpm/arch/ppc64/kernel/signal32.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/signal32.c~compat-sigtimedwait-ppc64-fix arch/ppc64/kernel/signal32.c
--- 25-power4/arch/ppc64/kernel/signal32.c~compat-sigtimedwait-ppc64-fix	2004-12-20 17:20:42.071039792 -0800
+++ 25-power4-akpm/arch/ppc64/kernel/signal32.c	2004-12-20 17:20:42.075039184 -0800
@@ -444,9 +444,9 @@ long sys32_rt_sigpending(compat_sigset_t
 }
 
 
-long copy_siginfo_to_user32(compat_siginfo_t __user *d, siginfo_t *s)
+int copy_siginfo_to_user32(struct compat_siginfo __user *d, siginfo_t *s)
 {
-	long err;
+	int err;
 
 	if (!access_ok (VERIFY_WRITE, d, sizeof(*d)))
 		return -EFAULT;
_
